Debian Bug report logs - #414259
ITA: kiwi -- a graphical framework to construct simple UI

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mohammed Adnène Trojette <adn+deb@diwi.org>

Date: Sat, 10 Mar 2007 11:33:01 UTC

Owned by: Goedson Teixeira Paixao <goedson@debian.org>

Severity: normal

Fixed in version kiwi/1.9.15-1

Done: Goedson Teixeira Paixao <goedson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>, <wnpp@debian.org>:
Bug#414259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mohammed Adnène Trojette <adn+deb@diwi.org>
To: submit@bugs.debian.org
Subject: O: kiwi -- a graphical framework to construct simple UI
Date: Sat, 10 Mar 2007 12:29:39 +0100
Package: wnpp
Severity: normal

The current maintainer of kiwi is Debian QA Group
<packages@qa.debian.org>.

Kiwi is indeed an orphaned package.

Maintaining a package requires time and skills. Please only adopt this
package if you are *sure* you will have enough time and attention to
work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: kiwi
Binary: python-kiwi
Version: 1.9.13-2
Priority: optional
Section: python
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python, python-setuptools (>= 0.6b3-1)
Build-Depends-Indep: python-all-dev (>= 2.3.5-10), python-glade2 (>= 2.8.6-1), python-gtk2 (>= 2.8.2-3.1), python-support (>= 0.3), python-epydoc (>= 2.1-11), python-twisted-core (>= 2.4.0-1), xvfb, xbase-clients, xfonts-base
Architecture: all
Standards-Version: 3.7.2
Format: 1.0
Directory: pool/main/k/kiwi
Files:
 f27f349194563d66e4e8021d602a66a2 1027 kiwi_1.9.13-2.dsc
 7b8ca391456dff48a953534495416e9e 1205528 kiwi_1.9.13.orig.tar.gz
 010cd52be3ab35b8e23f62bf89501787 6557 kiwi_1.9.13-2.diff.gz
Python-Version: >= 2.4
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Vcs-Svn: svn://svn.debian.org/python-modules/packages/kiwi/trunk/

Package: python-kiwi
Priority: optional
Section: python
Installed-Size: 17160
Maintainer: Debian QA Group <packages@qa.debian.org>
Architecture: all
Source: kiwi
Version: 1.9.13-2
Depends: python (>= 2.4), python-support (>= 0.2), python-gtk2 (>= 2.8.2-3.1), python-setuptools (>= 0.6b3-1)
Filename: pool/main/k/kiwi/python-kiwi_1.9.13-2_all.deb
Size: 847174
MD5sum: a0431670bdca6ccdf5ec0643a20d6e92
SHA1: 8127fd1bac2ee71ffde51b33fb9bfe02723dbbeb
SHA256: 13da6f56f3500a1cbd0d3237b6e7167c2c8f84010e5f6deab8e523c3b6980a20
Description: a graphical framework to construct simple UI
 Kiwi is a framework and a set of enhanced PyGTK widgets designed to
 make building programs with graphical interfaces both easy to write
 and easy to maintain.
 .
 Kiwi consists of a set of classes and wrappers for PyGTK that were
 developed to provide a sort of framework for applications. Fully
 object-oriented, and roughly Smalltalk's MVC, Kiwi provides a simple,
 practical way to build forms, windows and widgets that transparently
 access and display your object data.
 .
 Kiwi is inspired by Allen Holub's Visual Proxy.
 .
  Homepage: http://www.async.com.br/projects/kiwi/
Enhances: gazpacho
Tag: devel::lang:python, devel::library, implemented-in::python, uitoolkit::gtk

-- 
Mohammed Adnène Trojette



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#414259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Goedson Teixeira Paixao <goedson@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 414259@bugs.debian.org (full text, mbox):

From: Goedson Teixeira Paixao <goedson@debian.org>
To: control@bugs.debian.org
Cc: goedson@debian.org, 414259@bugs.debian.org
Subject: Adopting kiwi
Date: Sun, 15 Apr 2007 17:16:49 -0300
[Message part 1 (text/plain, inline)]
retitle 414259 ITA: kiwi -- a graphical framework to construct simple UI
thanks

I'm preparing a package with the new upstream version (1.9.14) for
upload soon.

-- 
Goedson Teixeira Paixao          http://mundolivre.wordpress.com/
Debian Project                   http://www.debian.org/
Jabber ID: goedson@jabber.org    http://www.jabber.org/

[signature.asc (application/pgp-signature, inline)]

Changed Bug title to ITA: kiwi -- a graphical framework to construct simple UI from O: kiwi -- a graphical framework to construct simple UI. Request was from Goedson Teixeira Paixao <goedson@debian.org> to control@bugs.debian.org. (Sun, 15 Apr 2007 20:18:09 GMT) Full text and rfc822 format available.

Owner recorded as Goedson Teixeira Paixao <goedson@debian.org>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2007 17:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Goedson Teixeira Paixao <goedson@debian.org>:
Bug#414259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Goedson Teixeira Paixao <goedson@debian.org>. Full text and rfc822 format available.

Message #19 received at 414259@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: 414259@bugs.debian.org
Subject: kiwi is in the python-modules svn
Date: Fri, 04 May 2007 19:22:43 +0200
Heya,

not sure if you've seen it, but kiwi is in the pythpn-modules team's svn.
http://svn.debian.org/wsvn/python-modules/packages/kiwi

I guess it would be good to keep it in there and to have the team as
Uploader or Maintainer in the package, except you prefer to take care of
it all alone.

Cheers,

Bernd

-- 
Bernd Zeimetz
<bernd@bzed.de>                         <http://bzed.de/>



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#414259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Goedson Teixeira Paixao <goedson@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #24 received at 414259@bugs.debian.org (full text, mbox):

From: Goedson Teixeira Paixao <goedson@debian.org>
To: Bernd Zeimetz <bernd@bzed.de>, 414259@bugs.debian.org
Cc: goedson@debian.org
Subject: Re: Bug#414259: kiwi is in the python-modules svn
Date: Sat, 05 May 2007 11:53:51 -0300
[Message part 1 (text/plain, inline)]
Em Sex, 2007-05-04 às 19:22 +0200, Bernd Zeimetz escreveu:
> Heya,
> 
> not sure if you've seen it, but kiwi is in the pythpn-modules team's svn.
> http://svn.debian.org/wsvn/python-modules/packages/kiwi
> 
> I guess it would be good to keep it in there and to have the team as
> Uploader or Maintainer in the package, except you prefer to take care of
> it all alone.

Yes. I've seen this and it is my intention to keep it the way it is.


-- 
Goedson Teixeira Paixao          http://mundolivre.wordpress.com/
Debian Project                   http://www.debian.org/
Jabber ID: goedson@jabber.org    http://www.jabber.org/

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#414259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Goedson Teixeira Paixao <goedson@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #29 received at 414259@bugs.debian.org (full text, mbox):

From: Goedson Teixeira Paixao <goedson@debian.org>
To: Bernd Zeimetz <bernd@bzed.de>
Cc: goedson@debian.org, 414259@bugs.debian.org
Subject: Re: Bug#414259: kiwi is in the python-modules svn
Date: Sat, 05 May 2007 11:59:29 -0300
[Message part 1 (text/plain, inline)]
Em Sáb, 2007-05-05 às 11:53 -0300, Goedson Teixeira Paixao escreveu:
> Em Sex, 2007-05-04 às 19:22 +0200, Bernd Zeimetz escreveu:
> > Heya,
> > 
> > not sure if you've seen it, but kiwi is in the pythpn-modules team's svn.
> > http://svn.debian.org/wsvn/python-modules/packages/kiwi
> > 
> > I guess it would be good to keep it in there and to have the team as
> > Uploader or Maintainer in the package, except you prefer to take care of
> > it all alone.
> 
> Yes. I've seen this and it is my intention to keep it the way it is.

Sorry. I've hit CTRL+Enter too fast. So, just to make sure it is clear
what is my intention, I plan to keep maintaining the package as part of
the python-modules team. I'm currently reading the team's policy and
svn-buildpackage's documentation so I don't mess things up.


-- 
Goedson Teixeira Paixao          http://mundolivre.wordpress.com/
Debian Project                   http://www.debian.org/
Jabber ID: goedson@jabber.org    http://www.jabber.org/

[signature.asc (application/pgp-signature, inline)]

Reply sent to Goedson Teixeira Paixao <goedson@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 414259-close@bugs.debian.org (full text, mbox):

From: Goedson Teixeira Paixao <goedson@debian.org>
To: 414259-close@bugs.debian.org
Subject: Bug#414259: fixed in kiwi 1.9.15-1
Date: Wed, 27 Jun 2007 21:02:05 +0000
Source: kiwi
Source-Version: 1.9.15-1

We believe that the bug you reported is fixed in the latest version of
kiwi, which is due to be installed in the Debian FTP archive:

kiwi_1.9.15-1.diff.gz
  to pool/main/k/kiwi/kiwi_1.9.15-1.diff.gz
kiwi_1.9.15-1.dsc
  to pool/main/k/kiwi/kiwi_1.9.15-1.dsc
kiwi_1.9.15.orig.tar.gz
  to pool/main/k/kiwi/kiwi_1.9.15.orig.tar.gz
python-kiwi_1.9.15-1_all.deb
  to pool/main/k/kiwi/python-kiwi_1.9.15-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 414259@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Goedson Teixeira Paixao <goedson@debian.org> (supplier of updated kiwi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 30 May 2007 16:10:21 -0300
Source: kiwi
Binary: python-kiwi
Architecture: source all
Version: 1.9.15-1
Distribution: unstable
Urgency: low
Maintainer: Goedson Teixeira Paixao <goedson@debian.org>
Changed-By: Goedson Teixeira Paixao <goedson@debian.org>
Description: 
 python-kiwi - a graphical framework to construct simple UI
Closes: 414259
Changes: 
 kiwi (1.9.15-1) unstable; urgency=low
 .
   [ Piotr Ozarowski ]
   * New python-support handles egg's directory name correctly
     - bump python-support required version
     - remove mv part from debian/rules
 .
   [ Goedson Paixao ]
   * New upstream release.
   * New Maintainer (Closes: #414259)
   * Added Python Modules Team to Uploaders.
   * debian/patches/04_avoid_building_helper_module.diff:
     - updated
   * debian/patches/02_avoid_version_checking.diff:
     - updated
   * debian/patches/03_epyrun_use_local_modules.diff:
     - removed since it's not needed anymore
   * Updated the watch file
   * Do not rebuild the api documentation since it uses
     pydoctor for this
   * debian/control:
     - Removed obsolete XS-Python-Version and XB-Python-Version fields
Files: 
 9dd8e0a900044af2d0fe25e8d881d6ed 1010 python optional kiwi_1.9.15-1.dsc
 7c06dcdc12351724f475035a0bbc8a70 1095700 python optional kiwi_1.9.15.orig.tar.gz
 a5ef76e9519b1fb74e930a0a6702048f 3392 python optional kiwi_1.9.15-1.diff.gz
 7ecd856ce9e3b12a351389f0a3009bf2 799670 python optional python-kiwi_1.9.15-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGgs2Y7tjUzB3rjq4RAh7hAJ4rEKIBejYDuMe0xDL4EwwC6L1RIACeIj+L
O6Dl3N2zBsjvALlDzDQ/Dc0=
=RI4s
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Aug 2008 08:28:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:41:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.